Bug 101470 - [V8] Main world should have one DOMDataStore
Summary: [V8] Main world should have one DOMDataStore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 101617
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 07:07 PST by Dan Carney
Modified: 2012-11-09 01:11 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.35 KB, patch)
2012-11-07 07:10 PST, Dan Carney
no flags Details | Formatted Diff | Diff
Patch (3.76 KB, patch)
2012-11-08 00:07 PST, Dan Carney
dcarney: commit-queue?
Details | Formatted Diff | Diff
Patch (3.77 KB, patch)
2012-11-08 03:09 PST, Dan Carney
no flags Details | Formatted Diff | Diff
Patch (4.06 KB, patch)
2012-11-09 00:01 PST, Dan Carney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Carney 2012-11-07 07:07:11 PST
[V8] Main world should have one DOMDataStore
Comment 1 Dan Carney 2012-11-07 07:10:44 PST
Created attachment 172794 [details]
Patch
Comment 2 Kentaro Hara 2012-11-07 07:18:02 PST
Comment on attachment 172794 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=172794&action=review

You might also want to rename defaultStore to mainWorldStore.

> Source/WebCore/bindings/v8/DOMDataStore.cpp:78
> +        return context->world()->isolatedWorldDomDataStore();

Nit: I guess that WebKit is likely to use isolatedWorld*DOM*DataStore.
Comment 3 Adam Barth 2012-11-07 08:27:20 PST
Nice.
Comment 4 Dan Carney 2012-11-08 00:07:57 PST
Created attachment 172945 [details]
Patch
Comment 5 WebKit Review Bot 2012-11-08 00:08:52 PST
Comment on attachment 172945 [details]
Patch

Rejecting attachment 172945 [details] from review queue.

dcarney@google.com does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 6 Kentaro Hara 2012-11-08 00:10:30 PST
Comment on attachment 172945 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=172945&action=review

Looks strange. I'll r+ and cq+ it again.

> Source/WebCore/bindings/v8/DOMDataStore.cpp:57
> +    DEFINE_STATIC_LOCAL(DOMDataStore, mainWorldStore, (MainWorld));

Nit: As you are naming isolatedWorldDOMDataStore(), this could be mainWorldDOMDataStore?
Comment 7 Dan Carney 2012-11-08 03:09:42 PST
Created attachment 172982 [details]
Patch
Comment 8 Kentaro Hara 2012-11-08 03:10:08 PST
Comment on attachment 172982 [details]
Patch

thanks!
Comment 9 Dan Carney 2012-11-08 03:10:17 PST
Comment on attachment 172945 [details]
Patch

fixed the nit
Comment 10 WebKit Review Bot 2012-11-08 06:24:12 PST
Comment on attachment 172982 [details]
Patch

Clearing flags on attachment: 172982

Committed r133892: <http://trac.webkit.org/changeset/133892>
Comment 11 WebKit Review Bot 2012-11-08 06:24:15 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 WebKit Review Bot 2012-11-08 09:31:55 PST
Re-opened since this is blocked by bug 101617
Comment 13 Dan Carney 2012-11-09 00:01:13 PST
Created attachment 173218 [details]
Patch
Comment 14 WebKit Review Bot 2012-11-09 01:11:41 PST
Comment on attachment 173218 [details]
Patch

Clearing flags on attachment: 173218

Committed r134029: <http://trac.webkit.org/changeset/134029>
Comment 15 WebKit Review Bot 2012-11-09 01:11:45 PST
All reviewed patches have been landed.  Closing bug.